Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 02/01/2013, à 21:11

Jarodd

[Résolu] QMC2 MAME : impossible à installer

Bonjour,

J'essaye d'installer QMC2 en suivant la doc.

J'ai ajouté le PPA (puis fait un update) :

ls -l /etc/apt/sources.list.d/ | grep mbo
-rw-r--r-- 1 root root  67 2013-01-02 21:03 mmbossoni-gmail-emu-lucid.list
-rw-r--r-- 1 root root  67 2013-01-02 21:03 mmbossoni-gmail-emu-lucid.list.save

Mais quand je veux installer le paquet qmc2-sdlmame, j'ai l'erreur :

Impossible de trouver le paquet « qmc2-sdlmame ».

Je ne comprend pas pourquoi ça coince hmm

Une idée ? Merci d'avance !

Edit 04/01  : résolu en installant QMC2 sur Precise Pangolin

Dernière modification par Jarodd (Le 04/01/2013, à 23:54)


Fixe : 12.04 LTS
Sony Vaio :  14.04 LTS / Windows 8.1

Hors ligne

#2 Le 03/01/2013, à 13:45

abelthorne

Re : [Résolu] QMC2 MAME : impossible à installer

En allant voir directement sur la page du PPA, le paquet semble s'appeler qmc2 tout court. Il y a peut-être eu un changement depuis l'écriture de la page de la doc.

Hors ligne

#3 Le 03/01/2013, à 14:08

Jarodd

Re : [Résolu] QMC2 MAME : impossible à installer

En effet il y a bien un paquet qmc2 smile

J'ai ceci :

sudo apt-get install qmc2
[sudo] password for jarodd:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
  qmc2: Dépend: sdlmame (>= 0.143u3) mais 0.136-0ubuntu2 devra être installé ou
                 sdlmess mais il n'est pas installable ou
                 mame (>= 0.143u3)
E: Paquets défectueux

Le paquet sdlmame est à jour, je ne sais pas quoi essayer d'autre hmm


Fixe : 12.04 LTS
Sony Vaio :  14.04 LTS / Windows 8.1

Hors ligne

#4 Le 03/01/2013, à 14:11

abelthorne

Re : [Résolu] QMC2 MAME : impossible à installer

Tu es sous quelle version d'Ubuntu ? Tu as installé SDLMame depuis où (dépôts Ubuntu, PPA, dépôt tiers...) ? Quelle version de SDLMame est-ce que tu as  ?

Là, il y a un conflit de versions.

Hors ligne

#5 Le 03/01/2013, à 14:20

Jarodd

Re : [Résolu] QMC2 MAME : impossible à installer

Je suis sous Lucid.

J'ai essayé d'installer MAME en usivant la doc, mais le paquet est "virtuel" (je n'ai pas compris ce que ça signifiait).

Ensuite j'ai été dans Synaptic et j'ai installé plusieurs paquets dont la description correspondent à MAME :
- sdlmame-tools
- gmamegui
- xmess-sdl
- xmess-x
- xmame-sdl
- xmame-svga
- xmame--x
- xmame-common

Mais je n'ai pas réussi à utiliser le programme (GMAMEUI).

Donc je me suis tourné vers QMC2 smile

Je dois tous les désinstaller ? Ou juste certains ? L'erreur ne mentionne que sdlmame...


Fixe : 12.04 LTS
Sony Vaio :  14.04 LTS / Windows 8.1

Hors ligne

#6 Le 03/01/2013, à 14:48

abelthorne

Re : [Résolu] QMC2 MAME : impossible à installer

Commence par virer tout ça. Il y a peut-être conflit avec XMame/XMess qui empêchent d'installer SDLMame (tu devrais avoir un paquet avec ce nom). Tu peux éventuellement garder sdlmame-tools si tu en as besoin.

Hors ligne

#7 Le 03/01/2013, à 15:08

Jarodd

Re : [Résolu] QMC2 MAME : impossible à installer

J'ai fait le nettoyage, il me reste sdlmame et sdlmame-tools.

Quand je relance l'installation de QMC2, j'ai cette erreur :

qmc2:
  Dépend : sdlmame (>=0.143u3) mais 0.136-0ubuntu2 doit être installé ou
    sdlmess  mais ne peut être installé ou
    mame (>= 0.143u3)

A priori c'est une question de version ? Pourtant dans Synaptic j'ai bien sdlmame et sdlmame-tools installés, tous les deux en version 0.136-0ubuntu2 roll (et c'est la dernière version) Ou alors c'est à cause de Lucid ?


Fixe : 12.04 LTS
Sony Vaio :  14.04 LTS / Windows 8.1

Hors ligne

#8 Le 03/01/2013, à 15:23

abelthorne

Re : [Résolu] QMC2 MAME : impossible à installer

C'est sûr que Lucid commence à dater et que la version de SDLMame qu'il embarque n'est plus d'actualité. Sans compter qu'il ne sera bientôt plus supporté et qu'il faudrait songer à une mise à jour.
Mais tu utilises à priori un PPA prévu pour Lucid (dans le doute, vérifie le contenu du fichier /etc/apt/sources.list.d/mmbossoni-gmail-emu-lucid.list), qui devrait donc proposer un paquet compatible avec la version de SDLMame du dépôt Lucid... à moins que le dépôt soir mal foutu et que le mainteneur n'ait pas fait attention à la compatibilité avec Lucid.

En tout cas, si son paquet veut absolument SDLMame 0.143 et que c'est la 0.136 dans les dépôts, les possibilités sont limitées :
- mettre à jour Ubuntu vers une version plus récente (Precise si tu veux en rester aux LTS)
- trouver un paquet SDLMame plus récent pour Lucid (via un PPA ou un autre dépôt tiers)
- installer qmc2 autrement (compilation à partir des sources ou récupération d'un binaire que tu installeras manuellement)

EDIT : tu peux regarder là pour une version plus à jour : http://sdlmame.wallyweek.org/
Il y a apparemment un dépôt (pour Lucid il y a (SDL)Mame 0.145 dedans).

Note qu'il s'agit du paquet Mame et pas SDLMame. SDLMame était un fork de Mame pour rajouter le support de SDL, qui a ensuite été intégré officiellement et SDLMame est devenu le nouveau Mame. À voir comment c'est géré au niveau des dépendances.

Dernière modification par abelthorne (Le 03/01/2013, à 15:28)

Hors ligne

#9 Le 03/01/2013, à 16:30

Jarodd

Re : [Résolu] QMC2 MAME : impossible à installer

Contenu du PPA :

J'ai essayé d'ajouter ce nouveau dépôt, j'ai toujours une erreur :

Impossible de récupérer http://ppa.launchpad.net/c.falco/mame/u … id/Release  Unable to find expected entry  deb-src/binary-i386/Packages in Meta-index file (malformed Release file?)
Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Il ne me reste que l'update système... J'y songe, il ne reste que trois mois de support pour Lucid. Mais je n'ai pas accroché à Unity, et j'avais lu qu'il y avait des problèmes pour ceux qui voulaient remettre Gnome. Donc je préfère attendre et profiter encore un peu de Lucid qui tourne bien.

Merci pour ton aide en tout cas wink


Fixe : 12.04 LTS
Sony Vaio :  14.04 LTS / Windows 8.1

Hors ligne

#10 Le 03/01/2013, à 17:01

abelthorne

Re : [Résolu] QMC2 MAME : impossible à installer

Bizarre ce message d'erreur. Apparemment les paquets sont bien dispos en 32 et 64 bits. Dans le pire des cas, tu peux télécharger le DEB et l'installer manuellement.

Pour ce qui est du passage à Precise, GNOME 3 ne pose à priori pas de problèmes (il y a même un PPA pour l'avoir complètement à jour − cela dit, il concerne peut-être seulement Quantal). Tu peux aussi installer MATE (fork de GNOME 2).

Dernière modification par abelthorne (Le 03/01/2013, à 17:01)

Hors ligne

#11 Le 04/01/2013, à 22:58

Jarodd

Re : [Résolu] QMC2 MAME : impossible à installer

Je suis passé aujourd'hui à Precise, je vais pouvoir me remettre sur MAME quand j'aurai réglé d'autres problèmes divers smile


Fixe : 12.04 LTS
Sony Vaio :  14.04 LTS / Windows 8.1

Hors ligne

#12 Le 04/01/2013, à 23:53

Jarodd

Re : [Résolu] QMC2 MAME : impossible à installer

Ca marche !!! lol

J'ai enfin pu rejouer à un jeu que je cherchais depuis des années !

Merci pour tes conseils abelthorne, tu as égayé mon week-end ! big_smile


Fixe : 12.04 LTS
Sony Vaio :  14.04 LTS / Windows 8.1

Hors ligne

Haut de page ↑